### Signal

# WebKit WebView::insecure-content-detected

unstable deprecated: 2.46 since: 6.0

#### Declaration

    void
    insecure_content_detected (
      WebKitWebView* self,
      WebKitInsecureContentEvent event,
      gpointer user_data
    )

#### Description [src]

Prior to 2.46, this signal was emitted when insecure content was loaded in a secure content. Since 2.46, this signal is generally no longer emitted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0
Deprecated since: 2.46
Please do not use it in newly written code.

#### Parameters

`event`

  Type: `WebKitInsecureContentEvent`

  The `WebKitInsecureContentEvent`.